summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNicolás Reynolds <fauno@kiwwwi.com.ar>2011-02-05 12:53:46 -0300
committerNicolás Reynolds <fauno@kiwwwi.com.ar>2011-02-05 12:53:46 -0300
commita2235e0912d957b513354ae737a63c9113da3b59 (patch)
treec040e66c136528650670a976b4bfec3b141a8b23
parent44c866b682642e09d5de1c2ffdfe9928e51d8772 (diff)
UpdateABSLibre pull the ABSLibre git repository
-rwxr-xr-xupdateabslibre37
1 files changed, 37 insertions, 0 deletions
diff --git a/updateabslibre b/updateabslibre
new file mode 100755
index 0000000..9ccb60e
--- /dev/null
+++ b/updateabslibre
@@ -0,0 +1,37 @@
+#!/bin/bash
+# UpdateABSLibre
+# Updates the ABSLibre git repo
+
+# Copyright 2010 Nicolás Reynolds
+
+# ---------- GNU General Public License 3 ----------
+
+# This file is part of Parabola.
+
+# Parabola is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# Parabola is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with Parabola. If not, see <http://www.gnu.org/licenses/>.
+
+source /etc/libretools.conf
+custom_config=$XDG_CONFIG_HOME/libretools/libretools.conf
+[[ -e $custom_config ]] && source $custom_config
+
+# Send every output to /dev/null
+stdnull=">/dev/null 2>&1"
+
+echo "Updating ABSLibre..."
+
+pushd ${WORKDIR}/abslibre ${stdnull}
+ git pull ${ABSLIBREGIT} || exit 1
+popd ${stdnull}
+
+exit 0